require('./bootstrap.js')

import AppSidebar from './components/sidebar.riot'

import AppTasks from './components/tasks.riot'
import AppTaskNew from './components/task-new.riot'
import AppTaskForm from './components/task-form.riot'

// register components
riot.register('app-sidebar', AppSidebar)
riot.register('app-tasks', AppTasks)
riot.register('app-task-new', AppTaskNew)
riot.register('app-task-form', AppTaskForm)

// mount components
riot.mount('app-sidebar')
riot.mount('app-tasks')
riot.mount('app-task-new')
riot.mount('app-task-form')